#!/bin/sh
# Edit config spec.
# $1 edit
# $2 view tag (optional, defaults to current view)

ED=$1
TAG=$2

if [ "$TAG" = "" ]; then
    TAGARG=
else
    TAGARG="-tag $TAG"
fi

cleartool catcs $TAGARG > /tmp/xcs.$$

$ED /tmp/xcs.$$

# TRANSLATE quoted string after -prompt switch
if clearprompt yes_no -type ok -default yes -mask yes,no -prefer_gui \
    -prompt "ͤꤷޤ?"
then
    cleartool setcs $TAGARG /tmp/xcs.$$
fi

rm /tmp/xcs.$$
